## NAME

s.surf.krig
Surface interpolation from site data via kriging

## SYNOPSIS

s.surf.krig
s.surf.krig -help
s.surf.krig input=name [zdimension=index] [znumeric=index]
  [zstring=index] outz=name outvarz=name model=name
  [npoints=count] [range=semivariogram range] [power=exponetial power]
  [nugget=semivariogram nugget] [sill=semivariogram sill] [max_lag=max_lag]

  ## DESCRIPTION

  Is missing.

  ### Parameters:

  input=name
    Name of input site map
  zdimension=index
    Index of dimension field if appropriate
  znumeric=index
    Index of numeric field if appropriate
  zstring=index
    Index of string field if appropriate
  outz=name
    Name of output z value raster map
  outvarz=name
    Name of output z variance raster map
  outvarz=name
    Name of output z variance raster map
  model=type
    Type of semivariogram model to be used
    options: power,spherical,exp,log,gaussian
  npoints=value
    Number of interpolation points
    default: 12
  range=value
    Not used with log or power models
    default: 1.0
  power=value
    Only for use with the power model
    default: 1.0
  nugget=value
    The variogram nugget variance
    default: 0.0
  sill=value
    The variogram sill scaled to the sample variance
    default: 1.0
  max_lag=value
    The max_lag is only used with the power model
    default: 1000.0

  ## NOTE

  You have to play with the parameters to get a reasonable result and not a segmentation violation

  At least one of the options zdimension | znumeric | zstring must be selected and supplied with a valid (0-based) index value. This will contain the values of the spot heights.

  ## AUTHORS

  Chris Skelly
  School of Earth Sciences
  Macquarie Univerity
  North Ryde 2109 NSW Australia

  Darrel McCauley

  David D. Gray <ddgray@armadce.demon.co.uk> 09/2000

  Last changed: $Date: 2002/01/25 05:45:35 $